## pictag 12.07.15

=== debian/changelog ===
pictag (12.07.15) precise; urgency=low

  * Initial release.

 -- Thomas Bechtold <thomasbechtold@jpberlin.de>  Mon, 09 Jul 2012 23:03:52 +0200
